function F = calcF(y, d, ks, alpha_f, lambda1, lambda2)
n = length(d);
K = zeros(size(ks{1}));
for ii = 1 : n
    K = K + d(ii) * ks{ii};
end
temp = alpha_f .* conj(fft2(K));
temp(isnan(temp)) = 0;
response = real(ifft2(temp));
a = y - response;
a = a(:)' * a(:);

alpha = ifft2(alpha_f);
b = alpha(:)' * response(:);

c = (sum(d) - 1) * (sum(d) - 1);

F = 0.5 * a + 0.5 * lambda1 * b + 0.5 * lambda2 * c;
end