function deepMKCF

% addpath('/home/share/vot2016/trackers/deepMKCFfinetunning/external/matconvnet/matlab');
% addpath('/home/share/vot2016/trackers/deepMKCFfinetunning/external/matconvnet/matlab/mex');
% addpath('/home/share/vot2016/trackers/deepMKCFfinetunning/external/matconvnet/matlab/xtest');

cleanup = onCleanup(@() exit());
RandStream.setGlobalStream(RandStream('mt19937ar', 'Seed', sum(clock)));
[handle, image, region] = vot('polygon');
region = region + 1;
I = imread(image);
frame = 1;

%%%%%%%%%%%%%%%%%%%%%%%%%%
rect = ad_gt(region);

run_tracker(I, frame, rect);
%%%%%%%%%%%%%%%%%%%%%%%%%%

while true
    frame = frame + 1;

    [handle, image] = handle.frame(handle); 
    if isempty(image)
        break;
    end;
    I = imread(image);

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    pos = run_tracker(I, frame, []);
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    bb = [pos(2) pos(1) pos(2) pos(1)+pos(3) pos(2)+pos(4) pos(1)+pos(3) pos(2)+pos(4) pos(1)];
    bbx = bb([1 3 5 7]);
	bby = bb([2 4 6 8]);
	bbx(bbx<1) = 1;
	bby(bby<1) = 1;
	bbx(bbx>size(I,2)) = size(I,2);
	bby(bby>size(I,1)) = size(I,1);
	bb = [bbx(1) bby(1) bbx(2) bby(2) bbx(3) bby(3) bbx(4) bby(4)];
	region = reshape(bb,[1 8]);
    region = region - 1;

    handle = handle.report(handle, region);
    
end

handle.quit(handle);

end
