function response = detect(Samples, alpha_f, d, patchsForDetect, kernelType, sigma)

n = length(Samples);
if n <= 3
    sz = size(Samples{1}.feat);
    K = zeros(sz(1:2));
    if n == 1;
        d = 1;
    end
    for ii = 1 : n
        K = K + d(ii) * calcK(Samples{ii}.feat, patchsForDetect{ii}.feat, kernelType, sigma);
    end
else
    error('Too many samples for detection.');
end
temp = alpha_f .* conj(fft2(K));
temp(isnan(temp)) = 0;
response = real(ifft2(temp));
% temp1 = alpha_f .* conj(fft2(cn2K));
% temp1(isnan(temp1)) = 0;
% response1 = real(ifft2(temp1));
% figure(3);
% mesh(response1);
% temp2 = alpha_f .* conj(fft2(hogK));
% temp2(isnan(temp2)) = 0;
% response2 = real(ifft2(temp2));
% figure(4);
% mesh(response2);
% response = d(1) * response1 + d(2) * response2;
end