function y = getY(objSize, winSize, outputSigmaFactor)
output_sigma = sqrt(prod(objSize)) * outputSigmaFactor;
[rows, cols] = ndgrid((1:winSize(1)) - floor(winSize(1)/2), (1:winSize(2)) - floor(winSize(2)/2));
y = exp(-0.5 / output_sigma^2 * (rows.^2 + cols.^2));
y = circshift(y, -floor(winSize(1:2) / 2) + 1);
end