function [candPoints, maxR, maxC] = findCandPoints(response, sideLength)
sz = size(response);
response_shift = circshift(response, floor(sz(1:2) / 2) - 1);
candPoints = findSubMaxPoints(response_shift, sideLength);
candPoints = bsxfun(@minus, candPoints, (floor(sz(1:2) / 2) - 1)');
[maxR, maxC] = find(response == max(response(:)), 1);
flag = 0;
% mask = double(maxPoints < 1);
% maxPoints = maxPoints + repmat(sz', [1, size(maxPoints, 2)]) .* mask;
for i = 1 : size(candPoints, 2)
    if candPoints(1,i) < 1
        candPoints(1,i) = sz(1) + candPoints(1, i);
    end
    if candPoints(2,i) < 1
        candPoints(2,i) = sz(2) + candPoints(2, i);
    end
    if (candPoints(1, i) == maxR && candPoints(2, i) == maxC)
        flag = 1;
    end
end
if (flag == 0)
    candPoints = [candPoints, [maxR; maxC]];
end
end