function y_scale = getY_scale(winSize)
mu = [0,0];
temp = sqrt(prod(winSize)) / 16;
sigma = [temp,0;0,temp];
[X,Y] = meshgrid(-(winSize(2)-1)/2:(winSize(2)-1)/2,-(winSize(1)-1)/2:(winSize(1)-1)/2);
y_scale = mvnpdf([X(:),Y(:)],mu,sigma);
g_max = max(y_scale);
y_scale = y_scale * (1 / g_max);
y_scale = reshape(y_scale, size(X));
end