function initial_net()
% INITIAL_NET: Loading VGG-Net-19

global net
global enableGPU
% global normalAverageImage
% global occAverageImage
net = load(fullfile('./model', 'imagenet-vgg-verydeep-19.mat'));

% Remove the fully connected layers and classification layer
net.layers(37+1:end) = [];

if enableGPU
    net = vl_simplenn_move(net, 'gpu');
end
% if isempty(normalAverageImage)
%     normalAverageImage = net.normalization.averageImage;
%     occAverageImage = imResample(normalAverageImage, 2);
% end
end
