function d = trainD(k1, k2, alpha, y, lambda1, lambda2, prevD)
B = zeros(2,2);
c = zeros(2,1);
k1_f = fft2(k1);
k2_f = fft2(k2);
k1_c_f = k1_f;
k2_c_f = k2_f;
k11_f = (conj(k1_c_f) .* k1_f) * 2;
k12_f = (conj(k2_c_f) .* k1_f) + (conj(k1_c_f) .* k2_f);
k21_f = k12_f;
k22_f = (conj(k2_c_f) .* k2_f) * 2;

alpha_f = fft2(alpha);
temp = ifft2(conj(k11_f) .* alpha_f);
B(1,1) = (alpha(:))' * temp(:) + 2 * lambda2;
temp = ifft2(conj(k12_f) .* alpha_f);
B(1,2) = (alpha(:))' * temp(:) + 2 * lambda2;
temp = ifft2(conj(k21_f) .* alpha_f);
B(2,1) = (alpha(:))' * temp(:) + 2 * lambda2;
temp = ifft2(conj(k22_f) .* alpha_f);
B(2,2) = (alpha(:))' * temp(:) + 2 * lambda2;

temp = 2 * y - lambda1 * alpha;
temp2 = ifft2(conj(k1_f) .* alpha_f);
c(1) = temp(:)' * temp2(:) + 2 * lambda2;
temp2 = ifft2(conj(k2_f) .* alpha_f);
c(2) = temp(:)' * temp2(:) + 2 * lambda2;

% d = searchD_GradientMethod(cn2K, hogK, alpha_f, y, lambda1, lambda2, B, c, prevD);
d = searchD_NewtonMethod(B, c, prevD);
% d = B \ c;
end